Class | RI::NamedThing
In: | rdoc/ri/ri_descriptions.rb
Parent: | Object

### Methods

<=> eql? hash new

### Attributes

name | [R] |

### Public Class methods

new(name)

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 11
        def initialize(name)
          @name = name
        end

### Public Instance methods

<=>(other)

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 14
        def <=>(other)
          @name <=> other.name
        end

eql?(other)

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 22
        def eql?(other)
          @name.eql?(other)
        end

hash()

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 18
        def hash
          @name.hash
        end

[Validate]